%define modname phk
%define dirname %{modname}
%define soname %{modname}.so
%define inifile Z99_%{modname}.ini

Summary:	PHK Accelerator extension
Name:		php-%{modname}
Version:	1.1.0
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://phk.tekwire.net/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		phk-buildfix.diff
BuildRequires:  php-devel >= 3:5.2.0
Suggests:	php-apc
Suggests:	php-eaccelerator
Suggests:	php-memcache
Suggests:	php-xcache
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Transparently makes PHK runtime code faster.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 .libs/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc tests CREDITS LICENSE package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-8mdv2009.1
+ Revision: 346595
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdv2009.1
+ Revision: 341787
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-6mdv2009.1
+ Revision: 323031
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdv2009.1
+ Revision: 310296
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-4mdv2009.0
+ Revision: 238420
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2009.0
+ Revision: 200258
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2008.1
+ Revision: 162108
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2008.1
+ Revision: 113690
- import php-phk


* Wed Nov 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2008.1
- initial Mandriva package
